---
layout: project

title: MaMoReD
teaser: Flexiformalizing Mathematical Models as Research Data

active: true
start_date: '2016-11'

people:
    - mkohlhase
    - dmueller
    - frabe
    - tpollinger

collaborators:
    - Dr. Thomas Koprucki (WIAS Berlin)
    - Dr. Wolfram Sperber (FIZ Karlsruhe)
    - Dr. Karsten Tabelow (WIAS Berlin)
    - Dr. Olaf Teschke (FIZ Karlsruhe)
funding: internal
---
The MaMoReD projects studies whether and how the flexiformalization of mathematical
mathematical models can allow them to be treated as research data, i.e. to be amenable to
mathematical knowledge management methods. 

[Project Publications](http://kwarc.github.io/bibs/MaMoReD/)

### Workshops

<!-- don't introduce new lines here, it confuses the markdown processor; add two spaces at the end of a line for a line break -->

1. 2018, January, 15-17 in Erlangen  
   **Participants**: Kohlhase, Koprucki, Müller, Rabe, Sperber, Tabelow  
   **Topics**  
   * stochastic models (continued)
   * preparation of grant proposal
1. 2017, November, 4-8 at WIAS Berlin  
   **Participants**: Kohlhase, Koprucki, Müller, Rabe, Sperber, Tabelow  
   **Topics**  
   * generation of Python and C code from MMT formalizations of models
   * formal language for solution strategies of mathematical models
   * stochastic models
1. 2017, March, 21-24 at WIAS Berlin  
   **Participants**: Kohlhase, Koprucki, Müller, Rabe, Sperber, Tabelow, Teschke  
   **Topics**  
   * preparation of journal paper on abstract definition of models
   * formalization of units and quantities in MMT
1. 2017, January, 16-19 in Erlangen  
   **Participants**: Kohlhase, Koprucki, Müller, Rabe, Tabelow  
   **Topics**  
   * MMT tutorial
   * formalization of van Roesbroock Modell for charge transport in semi-conductors in MMT
   * formalizing complex device geometries
   * survey of state of the art in mathematical modeling
   * generation of LaTeX documents from MMT formalizations of models
